/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-13
 * 描述            ：客户一级账号明细信息表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.FundManagement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.FundManagement.mapper.SlmFundBalancePriceApplyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_FUND_BALANCE_PRICE_APPLY", namespace=SlmFundBalancePriceApplyMapper.class)
public class SlmFundBalancePriceApply extends BaseVO implements Serializable {
	
	/**
	 * 客户结算单价申报表
	 */
	private static final long serialVersionUID = -289320177938922477L;

	@Id
	//申请编号
	private String apply_no;
	
	@Column
	//业务编号
	private String object_no;
	
	@Column
	//调整前价格
	private Double old_balance_price;
	
	@Column
	//调整后价格
	private Double new_balance_price;
	
	@Column
	//订单编号
	private String order_no;
	
	@Column
	//合同头主键
	private String contract_pk;
	
	@Column
	//合同号
	private String contract_no;
	
	@Column
	//合同行号
	private String contract_line_no;
	
	@Column
	//合同号序号
	private String contract_line_seq;
	
	@Column
	//订单序号
	private String order_seq;
	
	@Column
	//提单号
	private String bill_no;
	
	@Column
	//子提单编号
	private String line_no;
	
	@Column
	//状态 1：编辑 2：待审批 3：审批通过 4：审批未通过
	private String valid_flag;
	
	@Column
	//调价原因
	private String memo;
	
	@Column
	//创建人编号
	private String create_man_no;
	
	@Column
	//创建人姓名
	private String create_man_name;
	
	@Column
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	
	@Column
	//1 运费 2加工配送费 3货款
	private String apply_type;
	
	@Column
	//客户编号
	private String customer_no;
	
	@Column
	//客户名称
	private String customer_name;

	//原配送费
	@Column
	private Double old_trade_price;
	
	//新配送费
	@Column
	private Double new_trade_price;
	
	//原加工费
	@Column
	private Double old_process_price;
	
	//新加工费
	@Column
	private Double new_process_price;
	
	public Double getOld_trade_price() {
		return old_trade_price;
	}

	public void setOld_trade_price(Double old_trade_price) {
		this.old_trade_price = old_trade_price;
	}

	public Double getNew_trade_price() {
		return new_trade_price;
	}

	public void setNew_trade_price(Double new_trade_price) {
		this.new_trade_price = new_trade_price;
	}

	public Double getOld_process_price() {
		return old_process_price;
	}

	public void setOld_process_price(Double old_process_price) {
		this.old_process_price = old_process_price;
	}

	public Double getNew_process_price() {
		return new_process_price;
	}

	public void setNew_process_price(Double new_process_price) {
		this.new_process_price = new_process_price;
	}

	public String getApply_no() {
		return apply_no;
	}

	public void setApply_no(String apply_no) {
		this.apply_no = apply_no;
	}

	public String getObject_no() {
		return object_no;
	}

	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}

	public Double getOld_balance_price() {
		return old_balance_price;
	}

	public void setOld_balance_price(Double old_balance_price) {
		this.old_balance_price = old_balance_price;
	}

	public Double getNew_balance_price() {
		return new_balance_price;
	}

	public void setNew_balance_price(Double new_balance_price) {
		this.new_balance_price = new_balance_price;
	}

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	public String getContract_pk() {
		return contract_pk;
	}

	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	public String getContract_line_no() {
		return contract_line_no;
	}

	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	public String getContract_line_seq() {
		return contract_line_seq;
	}

	public void setContract_line_seq(String contract_line_seq) {
		this.contract_line_seq = contract_line_seq;
	}

	public String getOrder_seq() {
		return order_seq;
	}

	public void setOrder_seq(String order_seq) {
		this.order_seq = order_seq;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public String getLine_no() {
		return line_no;
	}

	public void setLine_no(String line_no) {
		this.line_no = line_no;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getApply_type() {
		return apply_type;
	}

	public void setApply_type(String apply_type) {
		this.apply_type = apply_type;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}
}